
package Logic;

public class ToggleAlgo implements ILogicAlgo
{
	/** @SBGen Singleton Variable   */
	private static ToggleAlgo instance;	/** @SBGen Constructor   */
	private ToggleAlgo()
	{
	} 

	/**
	 * @param host 
	 * @param param 
	 * @return 
	 */
	public Object trueCase(ILogical host, Object param)
	{
		host.setFalse();
		return null;// NYI 
	}

	/**
	 * @param host 
	 * @param param 
	 * @return 
	 */
	public Object falseCase(ILogical host, Object param)
	{
		host.setTrue(); 
		return null; // NYI 
	}

	/**
	 * @return 
	 * @SBGen Singleton 
	 */
	public static ToggleAlgo Singleton()
	{
		// SBgen: Ensure single instance
		if (instance == null) 
			instance = new ToggleAlgo();
		return(instance);
		// SBgen: End singleton
	} 
}

